
<div class="modal-dialog modal-lg">
    <div class="modal-content">
        <form [formGroup]="form">
            <div id="accordion">
                <div class="modal-header fluid-container">
                
                    <h5 class="modal-title">Edit / Create</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <div class="form-group row justify-content-center">
                        <input class="col-sm-9 form-control" id="round-title" formControlName="roundtitle" placeholder="Round Title">
                        <div *ngIf="form.get('roundtitle').invalid" class="invalid-feedback d-block">
                            Please enter Round Title.
                        </div>
                    </div>
                    <button *ngIf="!round.id" type="button" class="btn btn-primary" (click)="saveName(form.get('roundtitle').value)" [disabled]="form.get('roundtitle').invalid">Create</button>
                    
                    
    
                    
                </div>
                <div class="modal-body collapse" id="question-edit" [class.show]="round.title.length" >
                    <ul class="list-group fluid-container">
                            <li class="list-group-item row">
                                <div class="col-sm-10 d-inline">
                                    <div class="form-group">
                                        <input class="form-control" formControlName="newquestion" id="new-question" type="text" placeholder="New Question">
                                        <div *ngIf="form.get('newquestion').invalid" class="invalid-feedback d-block">
                                            Please enter Question.
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <input class="form-control" formControlName="newanswer" id="new-answer" type="text" placeholder="The correct answer">
                                        <div *ngIf="form.get('newanswer').invalid" class="invalid-feedback d-block">
                                            Please enter correct Answer.
                                        </div>    
                                    </div>
                                </div>
                                <div class="input-group form-group">
                                    <!--input class="form-control" formControlName="questionNumber" id="question-number" type="text" [attr.value]="round.questions.length + 1"-->
                                    <div>
                                        <button class="btn btn-primary" (click)="saveQuestion(question)" [disabled]="form.get('newquestion').invalid || form.get('newanswer').invalid">
                                            Save
                                        </button>
                                    </div>
                                    
                                </div>
                                
                            </li>
                            <li class="list-group-item row">
                                Bereits in der Runde vorhandene Fragen  
                                <span class="badge badge-pill"></span>
                                <button class="col-sm-1 btn btn-link d-inline" data-toggle="collapse" data-target="#question-list" >
                                    <i class="fa fa-angle-down"></i>
                                </button>
                            </li>
                            <div id="question-list" class="collapse" >
                                <li class="list-group-item row" *ngFor="let question of questionsOfThisRound">
                                    <div class="col-sm-1 d-inline">{{question.nr}}</div>
                                    <div class="col-sm-7 d-inline">{{question.content}}</div>
                                    <div class="col-sm-3 d-inline">{{question.answer}}</div>
                                        
                                    <button class="col-sm-1 d-inline btn btn-link" (click)="deleteQuestion(question)">
                                        <i class="fa fa-trash fa-2x"></i>
                                    </button>
                      
                                </li>
    
                            </div>
                            
                        </ul>  
                        
                    
                    
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal" (click)="saveRound()" [disabled]="form.get('roundtitle').invalid">Save</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>

            </div>
            
        </form>
    </div>
</div>

